name: semigroups
version: 0.18.5
id: semigroups-0.18.5-6T2lH5F6zyQIdwR3JYKMO3
key: semigroups-0.18.5-6T2lH5F6zyQIdwR3JYKMO3
license: BSD-3-Clause
copyright: Copyright (C) 2011-2015 Edward A. Kmett
maintainer: Edward A. Kmett <ekmett@gmail.com>
author: Edward A. Kmett
stability: provisional
homepage: http://github.com/ekmett/semigroups/
synopsis: Anything that associates
description:
    In mathematics, a semigroup is an algebraic structure consisting of a set together with an associative binary operation. A semigroup generalizes a monoid in that there might not exist an identity element. It also (originally) generalized a group (a monoid with all inverses) to a type where every element did not have to have an inverse, thus the name semigroup.
category: Algebra, Data, Data Structures, Math
abi: 4644a405aa82d03ad5f6af350486304f
exposed: True
exposed-modules:
    Data.Semigroup.Generic
import-dirs: /usr/local/lib/ghc/semigroups-0.18.5
library-dirs: /usr/local/lib/ghc/semigroups-0.18.5
dynamic-library-dirs: /usr/local/lib/ghc/semigroups-0.18.5
data-dir: /usr/local/share/hs-semigroups-0.18.5
hs-libraries: HSsemigroups-0.18.5-6T2lH5F6zyQIdwR3JYKMO3
depends:
    base-4.12.0.0
haddock-interfaces: /usr/local/share/doc/hs-semigroups-0.18.5/html/semigroups.haddock
haddock-html: /usr/local/share/doc/hs-semigroups-0.18.5/html
